Pular para o conteúdo principal
POST
/
crm
/
objects
/
2026-03
/
{objectType}
Create
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associations": [
    {
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationTypeId": 123
        }
      ]
    }
  ],
  "properties": {}
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "objectWriteTraceId": "<string>",
  "propertiesWithHistory": {},
  "url": "<string>"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

objectType
string
obrigatório

Corpo

application/json

Is the input object used to create a new CRM object, containing the properties to be set and optional associations to link the new record with other CRM objects.

associations
object[]
obrigatório
properties
object
obrigatório

Key-value pairs for setting properties for the new object.

Resposta

successful operation

A simple public object.

archived
boolean
obrigatório

Whether the object is archived.

createdAt
string<date-time>
obrigatório

The timestamp when the object was created, in ISO 8601 format.

id
string
obrigatório

The unique ID of the object.

properties
object
obrigatório

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
obrigatório

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

URL to go to the object

Last modified on June 5, 2026